Bug 761510 - (CVE-2011-4602) CVE-2011-4602 pidgin: Multiple NULL pointer deference flaws by processing certain Jingle stanzas in the XMPP protocol plug-in
CVE-2011-4602 pidgin: Multiple NULL pointer deference flaws by processing cer...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20111210,reported=2...
: Security
Depends On: 766449 766450 766451 766452 766453 766454 833969 839013
Blocks: 761529
  Show dependency treegraph
 
Reported: 2011-12-08 08:49 EST by Jan Lieskovsky
Modified: 2015-11-24 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version: pidgin 2.10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-14 14:30:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-12-08 08:49:16 EST
Multiple NULL pointer dereference flaws were found in the way the Jingle extension of the XMPP protocol plug-in of Pidgin, a Gtk+ based multiprotocol instant messaging client, processed certain Jingle stanzas. A remote, authenticated user could use these flaws to cause denial of service (Pidgin crash) via specially-crafted Jingle multimedia message.

Reference:
http://pidgin.im/news/security/?id=58
Patch: http://developer.pidgin.im/viewmtn/revision/info/fb216fc88b085afc06d9a15209519cde1f4df6c6
Comment 1 Jan Lieskovsky 2011-12-08 08:51:07 EST
This issues affect the versions of the pidgin package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affect the versions of the pidgin package, as shipped with Fedora release of 15 and 16.
Comment 3 Jan Lieskovsky 2011-12-08 08:54:29 EST
Acknowledgements:

Red Hat would like to thank the Pidgin project for reporting these issues.
Upstream acknowledges Thijs Alkemade as the original reporter.
Comment 7 Huzaifa S. Sidhpurwala 2011-12-12 00:04:30 EST
Created pidgin tracking bugs for this issue

Affects: fedora-all [bug 766454]
Comment 8 errata-xmlrpc 2011-12-14 14:06:09 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1821 https://rhn.redhat.com/errata/RHSA-2011-1821.html
Comment 9 errata-xmlrpc 2011-12-14 14:06:16 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1820 https://rhn.redhat.com/errata/RHSA-2011-1820.html
Comment 10 Fedora Update System 2012-01-05 15:54:42 EST
pidgin-2.10.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-01-07 17:58:58 EST
pidgin-2.10.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.